# Handling time

## Functions

jack_nframes_t | jack_frames_since_cycle_start (const jack_client_t *)
jack_nframes_t | jack_frame_time (const jack_client_t *)
jack_nframes_t | jack_last_frame_time (const jack_client_t *client)
jack_time_t | jack_frames_to_time (const jack_client_t *client, jack_nframes_t)
jack_nframes_t | jack_time_to_frames (const jack_client_t *client, jack_time_t)
jack_time_t | jack_get_time ()

## Function Documentation

jack_nframes_t jack_frame_time | ( | const jack_client_t * |  | ) |

Returns:
  an estimate of the current time in frames. This is a running counter, no significance should be attached to its value, but it can be compared to a previously returned value.

jack_nframes_t jack_frames_since_cycle_start | ( | const jack_client_t * |  | ) |

Returns:
  the time in frames that has passed since the JACK server began the current process cycle.

jack_time_t jack_frames_to_time | ( | const jack_client_t * | client,
|  | jack_nframes_t |  |
| ) |  |  |

Returns:
  estimated time in microseconds of the specified frame time

jack_time_t jack_get_time | ( |  | ) |

Returns:
  return JACK's current system time in microseconds, using JACK clock source.

The value returned is guaranteed to be monotonic, but not linear.

This function is a client version of jack_get_microseconds().

jack_nframes_t jack_last_frame_time | ( | const jack_client_t * | client | ) |

Returns:
  the frame_time after the last processing of the graph this is only to be used from the process callback.

This function can be used to put timestamps generated by jack_frame_time() in correlation to the current process cycle.

jack_nframes_t jack_time_to_frames | ( | const jack_client_t * | client,
|  | jack_time_t |  |
| ) |  |  |

Returns:
  estimated time in frames for the specified system time.